API Reference for Marketo Engage

Add Field to Form

POST /rest/asset/v1/form/{id}/fields.json

Adds a field to a form.

Operation ID
addFieldToAFormUsingPOST
Permissions
Read-Write Assets
Request format
application/x-www-form-urlencoded
Returns
ResponseOfLpFormFieldResponse

Parameters

Path 1

id integer (int32) required

Request body

application/x-www-form-urlencoded · required · AddFormFieldRequest · 22 properties

Sent as URL-encoded form fields. Object properties are sent as JSON text in their field.

blankFields integer (int32)

Number of blank fields to show when progressive profiling is enabled

defaultValue string

Optional default value for the field

fieldId string required

Id of the field

fieldType string

Specifies the field type.

fieldWidth integer (int32)

Width of the input or select element

formPrefill boolean

Whether the field should prefill. Default true

isSensitive boolean

Whether the field is marked as sensitive. Default false

hintText string

Hint text for the field

initiallyChecked boolean

Whether the field should be checked upon loading. Default false

instructions string

Instructions for the field

label string

Label of the field

labelToRight boolean

Whether the field label should be displayed to the right of the input/select element. Default false

labelWidth integer (int32)

Width of the field label element

maskInput string

Optional input mask for the field

maxLength integer (int32)

Maximum length for text type fields

maxValue number (float)

Maximum value accepted by the field

minValue number (float)

Minimum value accepted by the field

multiSelect boolean

Whether the field should allow multiple selections. Default false

required boolean

Whether the field is required to submit the form. Default false

validationMessage string

Validation message to display on failed validation

values string

Comma-separated list of accepted values for the field. Only for select-field types

visibleLines integer (int32)

Number of lines to display for the field element

Responses

200 OK ResponseOfLpFormFieldResponse
errors array of Error

Model Error

code string required

Error code of the error. See full list of error codes here

message string required

Message describing the cause of the error

requestId string
result array of LpFormFieldResponse

Model LpFormFieldResponse

blankFields integer (int32)
columnNumber integer (int32)
dataType string
defaultValue string
fieldMetaData object
fieldWidth integer (int32)
fields array of string
formPrefill boolean
isSensitive boolean
hintText string
id string
instructions string
label string
labelWidth integer (int32)
maxLength integer (int32)
required boolean
rowNumber integer (int32)
text string
validationMessage object
visibilityRules FormFieldVisibilityRuleResponse

Model FormFieldVisibilityRuleResponse

ruleType string
rules array of FormVisibilityRuleDTO

Model FormVisibilityRuleDTO

result › visibilityRules › rules

altLabel string
operator string
picklistFilterValues array of PickListDTO

Model PickListDTO

result › visibilityRules › rules › picklistFilterValues

isDefault boolean
label string
selected boolean
value string
subjectField string
values array of string
success boolean
warnings array of string
Generated example
{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "blankFields": 123,
      "columnNumber": 123,
      "dataType": "string",
      "defaultValue": "string",
      "fieldMetaData": {},
      "fieldWidth": 123,
      "fields": [
        "string"
      ],
      "formPrefill": true,
      "isSensitive": true,
      "hintText": "string",
      "id": "123",
      "instructions": "string",
      "label": "string",
      "labelWidth": 123,
      "maxLength": 123,
      "required": true,
      "rowNumber": 123,
      "text": "string",
      "validationMessage": {},
      "visibilityRules": {
        "ruleType": "string",
        "rules": [
          {
            "altLabel": "string",
            "operator": "string",
            "picklistFilterValues": [
              null
            ],
            "subjectField": "string",
            "values": [
              null
            ]
          }
        ]
      }
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Generated from swagger-asset.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results